JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
const brands = await client.brands.list();
console.log(brands.paging);import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
brands = client.brands.list()
print(brands.paging)package main
import (
"context"
"fmt"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
brands, err := client.Brands.List(context.TODO(), courier.BrandListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brands.Paging)
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.BrandListParams;
import com.courier.models.brands.BrandListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
BrandListResponse brands = client.brands().list();
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
brands = courier.brands.list
puts(brands)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$brands = $client->brands->list(cursor: 'cursor');
var_dump($brands);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandListParams parameters = new();
var brands = await client.Brands.List(parameters);
Console.WriteLine(brands);courier brands list \
--api-key 'My API Key'curl --request GET \
--url https://api.courier.com/brands \
--header 'Authorization: Bearer <token>'{
"paging": {
"cursor": "MTpFWUNFRkRRN0c1WERTRTU2",
"more": true
},
"results": [
{
"id": "bnd_01kx4mrd0pfzw8wt7pn7p2fzag",
"name": "Default Brand",
"published": 1,
"created": 1,
"updated": 1,
"settings": {
"colors": {
"primary": "string",
"secondary": "string"
},
"email": {
"templateOverride": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string",
"mjml": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string"
},
"footerBackgroundColor": "string",
"footerFullWidth": true
},
"head": {
"inheritDefault": true,
"content": "string"
},
"footer": {
"content": "string",
"inheritDefault": true
},
"header": {
"inheritDefault": true,
"barColor": "string",
"logo": {
"href": "https://example.com",
"image": "string"
}
}
},
"inapp": {
"borderRadius": "string",
"disableMessageIcon": true,
"fontFamily": "string",
"placement": "top",
"widgetBackground": {
"topColor": "string",
"bottomColor": "string"
},
"colors": {
"primary": "string",
"secondary": "string"
},
"icons": {
"bell": "string",
"message": "Example message text"
}
}
},
"snippets": {
"items": [
{
"name": "Default Brand",
"value": "string"
}
]
},
"version": "string"
}
]
}Brands
List brands
Get the list of brands.
GET
/
brands
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
const brands = await client.brands.list();
console.log(brands.paging);import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
brands = client.brands.list()
print(brands.paging)package main
import (
"context"
"fmt"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
brands, err := client.Brands.List(context.TODO(), courier.BrandListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", brands.Paging)
}package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.BrandListParams;
import com.courier.models.brands.BrandListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
BrandListResponse brands = client.brands().list();
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
brands = courier.brands.list
puts(brands)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$brands = $client->brands->list(cursor: 'cursor');
var_dump($brands);
} catch (APIException $e) {
echo $e->getMessage();
}using System;
using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandListParams parameters = new();
var brands = await client.Brands.List(parameters);
Console.WriteLine(brands);courier brands list \
--api-key 'My API Key'curl --request GET \
--url https://api.courier.com/brands \
--header 'Authorization: Bearer <token>'{
"paging": {
"cursor": "MTpFWUNFRkRRN0c1WERTRTU2",
"more": true
},
"results": [
{
"id": "bnd_01kx4mrd0pfzw8wt7pn7p2fzag",
"name": "Default Brand",
"published": 1,
"created": 1,
"updated": 1,
"settings": {
"colors": {
"primary": "string",
"secondary": "string"
},
"email": {
"templateOverride": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string",
"mjml": {
"backgroundColor": "string",
"blocksBackgroundColor": "string",
"enabled": true,
"footer": "string",
"head": "string",
"header": "string",
"width": "string"
},
"footerBackgroundColor": "string",
"footerFullWidth": true
},
"head": {
"inheritDefault": true,
"content": "string"
},
"footer": {
"content": "string",
"inheritDefault": true
},
"header": {
"inheritDefault": true,
"barColor": "string",
"logo": {
"href": "https://example.com",
"image": "string"
}
}
},
"inapp": {
"borderRadius": "string",
"disableMessageIcon": true,
"fontFamily": "string",
"placement": "top",
"widgetBackground": {
"topColor": "string",
"bottomColor": "string"
},
"colors": {
"primary": "string",
"secondary": "string"
},
"icons": {
"bell": "string",
"message": "Example message text"
}
}
},
"snippets": {
"items": [
{
"name": "Default Brand",
"value": "string"
}
]
},
"version": "string"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A unique identifier that allows for fetching the next set of brands.
⌘I